Get trades list

GEThttps://bank.dattaremit.com/api/trades

Requires a bank-scoped key.

Retrieves a listing of trades. Records are sorted by creation date in descending order.

Required scope: trades:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated trade_guids to list trades for.

bank_guidstring

Comma separated bank_guids to list trades for.

customer_guidstring

Comma separated customer_guids to list trades for.

account_guidstring

Comma separated account_guids to list trades for.

statestring

Comma separated states to list trades for.

sidestring

Comma separated sides to list trades for.

labelstring

Comma separated labels to list trades for.

created_at_gtestring

Created at start date-time inclusive lower bound, ISO8601.

created_at_ltstring

Created at end date-time exclusive upper bound, ISO8601.

updated_at_gtestring

Updated at start date-time inclusive lower bound, ISO8601.

updated_at_ltstring

Updated at end date-time exclusive upper bound, ISO8601.

Responses

200

get list of trades

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/trades \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of trades

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "trade_type": "string",
      "customer_guid": "string",
      "quote_guid": "string",
      "symbol": "string",
      "side": "string",
      "state": "string",
      "failure_code": "string",
      "receive_amount": 1,
      "deliver_amount": 1,
      "fee": 1,
      "fee_details": [
        {
          "type": "bank",
          "asset": "string",
          "amount": 1
        }
      ],
      "reference_trade_guid": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "labels": [
        "string"
      ]
    }
  ]
}